iOS restoring error "not eligible for requested build" - error source is Macbook

Discussion in 'iOS 6' started by elie.fares, Jun 17, 2012.

  1. elie.fares macrumors regular

    Joined:
    Sep 13, 2008
    #1
    So I've been trying to update my iPhone 4S (a friend registered my UDID) for the past day and it wasn't working until I tried the update on my brother's macbook and it went smoothly.

    I also had to restore an iPhone 3G to 4.2.1 and it wasn't working on my Macbook Pro but it did on my brother's.

    Now attempting to update my iPad 2 to iOS6 and even though it's in DFU and all (I read that might be a workaround), it still doesn't work.

    Any ideas?
     
  2. yezza macrumors regular

    Joined:
    Mar 12, 2008
    #2
    If you have ever jailbroken on that comp and have tiny umbrella installed - open tiny umbrella, go to the advanced tab. There are several tick boxes; the second or third mentions something about using cydia's servers - you need to un-tick this. Relaunch iTunes and reboot your iOS device. The firmware should now install. Hope this solves your problem :)
     
  3. Amiz macrumors regular

    Joined:
    Jun 16, 2012
    #3
    Download the iOS 6 iPhone 4 ipsw from the IMDZL website
    Plug your iPhone in and go to iTunes
    Shift+click check for update and browse the 6.0 ipsw file
    Your now on ios 6 without dev account a registerd udid.
     

Share This Page